YUI Flash Component Documentation |
Interface ILayoutMode

Package | com.yahoo.astra.layout.modes
Interface | public interface ILayoutMode extends flash.events.IEventDispatcher
Subinterfaces | IAdvancedLayoutMode

Defines the properties and functions required for layout modes used by ILayoutContainer.

Public Methods

| Method | Defined by
--- | --- | ---
|  | layoutObjects(displayObjects:Array, bounds:Rectangle):Rectangle The DisplayObjects in the input parameter will be positioned and sized based on a specified rectangle. | ILayoutMode

Method detail

layoutObjects | () | method

`public function layoutObjects(displayObjects:Array, bounds:Rectangle):Rectangle`

The DisplayObjects in the input parameter will be positioned and sized based on a specified rectangle. There is no requirement that the display objects remain entirely within the rectangle.

Returns the actual rectangular region in which the laid out children will appear. This may be larger or smaller than the suggested rectangle. This returned value is expected to be used by container components to determine if scrollbars or other navigation controls are needed.

Parameters

| `displayObjects:Array` — An Array of DisplayObjects to be laid out.
| `bounds:Rectangle` — The rectangular region in which the display objects should be placed.

Returns

| `Rectangle` — The actual region in which the display objects are contained.